Skip to main content
GET
Get settlement
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

The ID for the transaction to get the information for.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

settlement_id
string
required

The unique ID of the settlement.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns a settlement.

A settlement record.

type
enum<string>

The type of this resource. Is always settlement.

Available options:
settlement
Example:

"settlement"

id
string<uuid>

The unique identifier for this settlement.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

merchant_account_id
string

The ID of the merchant account to which this settlement belongs to.

Example:

"default"

created_at
string<date-time>

The date and time when this settlement was created in our system.

Example:

"2024-04-01T19:23:00.000+00:00"

updated_at
string<date-time>

The date and time when this settlement was last updated.

Example:

"2024-04-01T19:23:00.000+00:00"

posted_at
string<date-time>

The date and time when this settlement occurred.

Example:

"2024-03-30T10:25:00.000+00:00"

ingested_at
string<date-time>

The date and time when information about this settlement was ingested into our system.

Example:

"2013-04-01T01:01:00.000+00:00"

currency
string

The currency code of this settlement in ISO 4217 three-letter code format.

Example:

"USD"

amount
integer

The net amount of this settlement.

Example:

1299

exchange_rate
number | null

The exchange rate used to convert amounts from the processing currency to the settlement currency.

Example:

0.95

commission
integer

The total commission of this settlement, expressed in currency.

Example:

5

interchange
integer | null

The interchange fee of this settlement, expressed in currency.

Example:

5

markup
integer | null

The markup of this settlement by the acquirer, expressed in currency.

Example:

10

scheme_fee
integer | null

The scheme fee of this settlement, expressed in currency.

Example:

5

payment_service_report_id
string<uuid>

The ID of the payment service report containing this settlement.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

payment_service_report_file_ids
string<uuid>[]

The list of payment service report file IDs that make up the payment service report containing this settlement.

Example:
transaction_id
string<uuid>

The ID of the transaction associated with this settlement.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"